Bug 1289710 - Nagios 4.0.8 does not expand contact macro correctly
Nagios 4.0.8 does not expand contact macro correctly
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
epel7
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 13:45 EST by Aaron Whiteman
Modified: 2017-02-22 09:50 EST (History)
9 users (show)

See Also:
Fixed In Version: nagios-4.2.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 09:50:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Whiteman 2015-12-08 13:45:48 EST
Description of problem:
EPEL now ships Nagios 4.0.8 and appears to not correctly expand the contact Macro correctly, so that all notifications go to a single recipient instead of multiple recipients.

See http://tracker.nagios.org/view.php?id=575

Version-Release number of selected component (if applicable):
4.0.8-1.el7

How reproducible:
Every time

Steps to Reproduce:
1. configure a nagios service so that notifications go to multiple contacts
2. send a notification either by using the "force notification" or cause the watched service to fail

Actual results:
Multiple notifications are sent to the last person in Nagios' list of contacts to notify (one for each contact)

Expected results:
One notification is sent to each contact

Additional info:
Did not occur until epel updated nagios from 3 to 4.
Comment 1 Aaron Whiteman 2016-10-14 12:12:15 EDT
Ping!

This was fixed in nagios 4.10, almost a year ago. Can we get an update to EPEL?
http://tracker.nagios.org/view.php?id=585
Comment 2 Fedora Update System 2017-02-07 18:46:31 EST
nagios-4.2.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 3 Fedora Update System 2017-02-09 16:17:36 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 4 Fedora Update System 2017-02-22 09:50:08 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.